from rest_framework import routers, viewsets
from notifications.models import MessageTemplate
from rest_framework import serializers


class MessageTemplateSerializer(serializers.ModelSerializer):
    class Meta:
        model = MessageTemplate
        fields = '__all__'


class MessageTemplateViewSet(viewsets.ModelViewSet):
    serializer_class = MessageTemplateSerializer
    queryset = MessageTemplate.objects.all()


router = routers.SimpleRouter()
router.register(r'message_templates', MessageTemplateViewSet)

urlpatterns = ([] + router.urls)
